ManyCam Forums

ManyCam Lite asking for upgrade over and over

I’ve been using ManyCam Lite and a blur background; today, it stopped working and asked me to upgrade. However, I have lifetime premium so I downloaded 8. Lite is still not working. And it’s still asking me to upgrade. I downloaded MCL and installed it in case it was upgraded. It’s still not functioning correctly and it also shows the “manycam” logo even thought it’s a paid version. What’s up?